- FileSystem
    - Mount Volumes
        - `/var/opt/gitlab`
            - 20 GB
            - `root:root`
            - `0755`
- Resources
    - Raspberry Pi 2 or newer
    - Appliance with 4GB memory
- DNS
    - `gitlab.example.com` is a resolvable address
